<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:a3e07e3e-196a-4c39-8c1f-2ed1579c9eaf,g:4943f252-71e0-4d8b-88be-2e735bee2582-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member"/>
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#PvpAdjustmentsOnly"/>
  <link:definitionLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllAdjToCompMember" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#ecd_AllAdjToCompMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_csr_AdjustmentSubtractLTIPStockAwardsAndStockOptionAwardsMember_99c6fab3-5671-4d4b-8b31-d07c0852fb96" xlink:href="csr-20240408.xsd#csr_AdjustmentSubtractLTIPStockAwardsAndStockOptionAwardsMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_csr_AdjustmentSubtractLTIPStockAwardsAndStockOptionAwardsMember_99c6fab3-5671-4d4b-8b31-d07c0852fb96" xlink:type="arc" order="1"/>
    <link:loc xlink:type="locator" xlink:label="loc_csr_AdjustmentAddYearEndEquityFairValueMember_d4826dd4-d464-46a9-9989-ea2b61d5486c" xlink:href="csr-20240408.xsd#csr_AdjustmentAddYearEndEquityFairValueMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_csr_AdjustmentAddYearEndEquityFairValueMember_d4826dd4-d464-46a9-9989-ea2b61d5486c" xlink:type="arc" order="2"/>
    <link:loc xlink:type="locator" xlink:label="loc_csr_AdjustmentChangeInFairValueOfPriorEquityAwardsMember_e4690439-3b62-4f69-b068-1fc4428783d3" xlink:href="csr-20240408.xsd#csr_AdjustmentChangeInFairValueOfPriorEquityAwardsMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_csr_AdjustmentChangeInFairValueOfPriorEquityAwardsMember_e4690439-3b62-4f69-b068-1fc4428783d3" xlink:type="arc" order="3"/>
    <link:loc xlink:type="locator" xlink:label="loc_csr_AdjustmentChangeInFairValueOfVestedEquityAwardsMember_02788bc3-dbc7-477a-b6a1-7914eb6781e0" xlink:href="csr-20240408.xsd#csr_AdjustmentChangeInFairValueOfVestedEquityAwardsMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_csr_AdjustmentChangeInFairValueOfVestedEquityAwardsMember_02788bc3-dbc7-477a-b6a1-7914eb6781e0" xlink:type="arc" order="4"/>
    <link:loc xlink:type="locator" xlink:label="loc_csr_AdjustmentDividendEquivalentsPaidOnVestedEquityAwardsMember_edbf5b96-cfc2-4199-85a8-32eb260c2a36" xlink:href="csr-20240408.xsd#csr_AdjustmentDividendEquivalentsPaidOnVestedEquityAwardsMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_csr_AdjustmentDividendEquivalentsPaidOnVestedEquityAwardsMember_edbf5b96-cfc2-4199-85a8-32eb260c2a36" xlink:type="arc" order="5"/>
  </link:definitionLink>
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/IndividualsOnly" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#IndividualsOnly"/>
  <link:definitionLink xlink:role="http://xbrl.sec.gov/ecd/role/IndividualsOnly" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllIndividualsMember" xlink:href="https://xbrl.sec.gov/ecd/2023/ecd-2023.xsd#ecd_AllIndividualsMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_csr_AnneOlsonMember_5aa3dae3-1529-4cf8-92f9-ecbb2cbd57a8" xlink:href="csr-20240408.xsd#csr_AnneOlsonMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllIndividualsMember" xlink:to="loc_csr_AnneOlsonMember_5aa3dae3-1529-4cf8-92f9-ecbb2cbd57a8" xlink:type="arc" order="2"/>
    <link:loc xlink:type="locator" xlink:label="loc_csr_MarkDeckerMember_1f5e4e72-6dc6-4193-8f14-0555d86b7351" xlink:href="csr-20240408.xsd#csr_MarkDeckerMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllIndividualsMember" xlink:to="loc_csr_MarkDeckerMember_1f5e4e72-6dc6-4193-8f14-0555d86b7351" xlink:type="arc" order="3"/>
  </link:definitionLink>
</link:linkbase>
